﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.listImageButton.ImageUrl  = "~/Images/list.png";
        }

        #endregion
        #region 리스트 버튼 클릭시 처리하기 - listImageButton_Click(sender, e)

        /// <summary>
        /// 리스트 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void listImageButton_Click(object sender, ImageClickEventArgs e)
        {
            this.messageLabel.Text = $"이미지 버튼 클릭 좌표 : X = {e.X}, Y = {e.Y}";
        }

        #endregion
    }
}